All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
hyb_matrix.hpp File Reference

Implementation of the hyb_matrix class. More...

`#include "viennacl/forwards.h"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/linalg/sparse_matrix_operations.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::hyb_matrix< SCALARTYPE, ALIGNMENT >
| Sparse matrix class using a hybrid format composed of the ELL and CSR format for storing the nonzeros. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.

## Functions

template<typename CPUMatrixT , typename NumericT , unsigned int AlignmentV>
void | viennacl::copy (const CPUMatrixT &cpu_matrix, hyb_matrix< NumericT, AlignmentV > &gpu_matrix)
template<typename IndexT , typename NumericT , unsigned int AlignmentV>
void | viennacl::copy (std::vector< std::map< IndexT, NumericT > > const &cpu_matrix, hyb_matrix< NumericT, AlignmentV > &gpu_matrix)
| Copies a sparse matrix from the host to the compute device. The host type is the std::vector< std::map < > > format . More...
template<typename CPUMatrixT , typename NumericT , unsigned int AlignmentV>
void | viennacl::copy (const hyb_matrix< NumericT, AlignmentV > &gpu_matrix, CPUMatrixT &cpu_matrix)
template<typename NumericT , unsigned int AlignmentV, typename IndexT >
void | viennacl::copy (const hyb_matrix< NumericT, AlignmentV > &gpu_matrix, std::vector< std::map< IndexT, NumericT > > &cpu_matrix)
| Copies a sparse matrix from the compute device to the host. The host type is the std::vector< std::map < > > format . More...

## Detailed Description

Implementation of the hyb_matrix class.

Contributed by Volodymyr Kysenko.

Definition in file hyb_matrix.hpp.